name: Build Action
run-name: Test is testing out Gitea Actions 🚀
on: [push]

jobs:
  Run-Build:
    runs-on: ubuntu-latest
    steps:
      - name: Checkout code
        uses: actions/checkout@v3
      - name: Use Node.js 20.x
        uses: actions/setup-node@v3
        with:
          node-version: 20.11.0
      - name: Install Yarn
        run: npm install -g yarn
      - name: Yarn cache
        uses: actions/cache@v3
        id: yarn-cache
        with:
          path: |
            ${{ steps.yarn-cache-dir.outputs.dir }}
            node_modules
            */node_modules
            */*/node_modules
          key: ${{ runner.os }}-build-${{ env.cache-name }}-${{ hashFiles('**/yarn.lock') }}
          restore-keys: |
            ${{ runner.os }}-build-${{ env.cache-name }}-
            ${{ runner.os }}-build-
            ${{ runner.os }}-
      - name: Build App
        run: |
          yarn
          yarn build
      - name: Deploy
        uses: SamKirkland/FTP-Deploy-Action@v4.3.5
        with:
          server: mycloud.dp.ua
          username: d.tkachenko
          port: 2121
          password: ${{ secrets.FTP_PASSWORD }}
          local-dir: ./public/
          server-dir: /web/poc/
